# coding=utf-8
#
#   Copyright 2013 Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# -*- mode: python; encoding: utf-8; -*-
import xml.dom.minidom
import items
from form import AttrForm

class RendimentosPJ(items.Items):
    def __init__(self, contribuinte):
        rend_PJ = contribuinte.dados.getElementsByTagName("rendPJ")[0]
        colecao = rend_PJ.getElementsByTagName("colecaoRendPJTitular")[0]
        items.Items.__init__(self, colecao)
    def form(self, item):
        form = []
        form.append(AttrForm("Nome", "nomeFontePagadora", item))
        form.append(AttrForm("CNPJ", "NIFontePagadora", item))
        form.append(AttrForm("Rendimentos", "rendRecebidoPJ", item))
        form.append(AttrForm(u"Previdência", "contribuicaoPrevOficial", item))
        form.append(AttrForm("Imposto Retido", "impostoRetidoFonte", item))
        form.append(AttrForm(u"Décimo Terceiro", "decimoTerceiro", item))
        return form

if __name__ == '__main__':
    import sys
    from contribuinte import Contribuinte

    contribuinte = Contribuinte(sys.argv[1])
    rendimentos = RendimentosPJ(contribuinte)
    print "maior fonte pagadora: " + rendimentos.get_attr("niMaiorFontePagadora")
    print "total rendimentos: " + rendimentos.get_attr("totaisRendRecebidoPJ")

    for i in rendimentos.items:
        print i.get_attr("nomeFontePagadora") + " " + i.get_attr("rendRecebidoPJ")

# vim:tabstop=4:expandtab:smartindent
